The test cases are Windows-oriented.
Fix it so that it will run properly on Linux.

James 2020

diff -ur neilb-csvfix-93804d497be6/csvfix/tests/run1 csvfix-new/csvfix/tests/run1
--- neilb-csvfix-93804d497be6/csvfix/tests/run1	2015-02-28 20:47:41.000000000 +1000
+++ csvfix-new/csvfix/tests/run1	2020-01-23 01:57:39.569937509 +1000
@@ -1,137 +1,138 @@
-#!bash
-# run1
-# run single test
-# copyright (C) 2008 Neil Butterworth
-
-#set -x
-
-# currently only one switch allowed on command line - needs fixing
-
-
-DO_OUT=0
-if [ "$1" = "-o" ]
-then
-	DO_OUT=1
-	shift
-fi
-
-DO_CORRECT=0
-if [ "$1" = "-c" ]
-then
-	DO_CORRECT=1
-	shift
-fi
-
-DO_DIFF=0
-if [ "$1" = "-d" ]
-then
-	DO_DIFF=1
-	shift
-fi
-
-USE_WINDIFF=0
-if [ "$1" = "-wd" ]
-then
-	USE_WINDIFF=1
-	shift
-fi
-
-if [ "$1" = "" ] 
-then
-	TEST=$(swine open -dir tests -caption "Select Test" -types test)
-	if [ $TEST = "" ] 
-	then
-		echo "missing test name"
-		exit 1
-	fi
-else
-	TEST="$1"
-fi
-
-# exe to be tested - used in tests
-CSVED=../bin/csvfix.exe
-export CSVED
-
-if [ ! -f "$CSVED" ]
-then
-	echo "No such binary: $CSVED" 
-	exit 1
-fi
-
-if [ ! -d tmp ]
-then
-	mkdir tmp
-fi
-
-# where to find diff & where to put output
-DIFF=/bin/diff
-DIFFOUT=tmp/_diffout
-WINDIFF="C:/Program Files/Microsoft Visual Studio/Common/Tools/WINDIFF.EXE"
-TEST=`basename $TEST`
-OUT="tmp/$TEST"
-
-# pretty display - needs ANSI term support
-color_red()
-{
-	echo -e "\033[01;31m$1\033[00m"
-}
-
-if [ ! -f tests/$TEST ]
-then
-	echo "No test: $TEST"
-	exit 1
-fi
-
-# run test, displaying output but not diffing
-if [ "$DO_OUT" = "1" ]
-then
-	bash "tests/$TEST" 
-	exit 0
-fi
-
-# store correct output without displaying it
-if [ "$DO_CORRECT" = "1" ]
-then
-	if bash "tests/$TEST" > correct/$TEST
-	then
-		echo "Created correct output"
-		exit 0
-	else
-		echo "Execution problem with $TEST -c - please correct"
-		exit 1
-	fi
-fi
-
-# run proper test - must have correct output to test against
-if [ ! -f correct/$TEST ]
-then
-	echo "No correct output $TEST"
-	exit 1
-fi
-
-# run test producing output then diff that output against the previously
-# saved correct output 
-if bash "tests/$TEST" > $OUT
-then
-	if $DIFF correct/$TEST tmp/$TEST > $DIFFOUT
-	then
-		echo PASSED $TEST
-		exit 0
-	else
-		color_red "FAILED $TEST"
-		if [ "$USE_WINDIFF" = "1" ]
-		then
-			"$WINDIFF" correct/$TEST tmp/$TEST
-			exit 1
-		else
-			if [ "$DO_DIFF" = "1" ] 
-			then
-				cat $DIFFOUT
-			fi
-			exit 1
-		fi
-	fi
-else
-	echo "Execution problem with $TEST - please correct"
-fi
-
+#!/bin/bash
+# run1
+# run single test
+# copyright (C) 2008 Neil Butterworth
+
+#set -x
+
+# currently only one switch allowed on command line - needs fixing
+
+
+DO_OUT=0
+if [ "$1" = "-o" ]
+then
+	DO_OUT=1
+	shift
+fi
+
+DO_CORRECT=0
+if [ "$1" = "-c" ]
+then
+	DO_CORRECT=1
+	shift
+fi
+
+DO_DIFF=0
+if [ "$1" = "-d" ]
+then
+	DO_DIFF=1
+	shift
+fi
+
+USE_WINDIFF=0
+if [ "$1" = "-wd" ]
+then
+	USE_WINDIFF=1
+	shift
+fi
+
+if [ "$1" = "" ] 
+then
+	TEST=$(swine open -dir tests -caption "Select Test" -types test)
+	if [ $TEST = "" ] 
+	then
+		echo "missing test name"
+		exit 1
+	fi
+else
+	TEST="$1"
+fi
+
+# exe to be tested - used in tests
+#CSVED=../bin/csvfix.exe
+CSVED=../bin/csvfix
+export CSVED
+
+if [ ! -f "$CSVED" ]
+then
+	echo "No such binary: $CSVED" 
+	exit 1
+fi
+
+if [ ! -d tmp ]
+then
+	mkdir tmp
+fi
+
+# where to find diff & where to put output
+DIFF=/usr/bin/diff
+DIFFOUT=tmp/_diffout
+WINDIFF="C:/Program Files/Microsoft Visual Studio/Common/Tools/WINDIFF.EXE"
+TEST=`basename $TEST`
+OUT="tmp/$TEST"
+
+# pretty display - needs ANSI term support
+color_red()
+{
+	echo -e "\033[01;31m$1\033[00m"
+}
+
+if [ ! -f tests/$TEST ]
+then
+	echo "No test: $TEST"
+	exit 1
+fi
+
+# run test, displaying output but not diffing
+if [ "$DO_OUT" = "1" ]
+then
+	bash "tests/$TEST" 
+	exit 0
+fi
+
+# store correct output without displaying it
+if [ "$DO_CORRECT" = "1" ]
+then
+	if bash "tests/$TEST" > correct/$TEST
+	then
+		echo "Created correct output"
+		exit 0
+	else
+		echo "Execution problem with $TEST -c - please correct"
+		exit 1
+	fi
+fi
+
+# run proper test - must have correct output to test against
+if [ ! -f correct/$TEST ]
+then
+	echo "No correct output $TEST"
+	exit 1
+fi
+
+# run test producing output then diff that output against the previously
+# saved correct output 
+if bash "tests/$TEST" > $OUT
+then
+	if $DIFF correct/$TEST tmp/$TEST > $DIFFOUT
+	then
+		echo PASSED $TEST
+		exit 0
+	else
+		color_red "FAILED $TEST"
+		if [ "$USE_WINDIFF" = "1" ]
+		then
+			"$WINDIFF" correct/$TEST tmp/$TEST
+			exit 1
+		else
+			if [ "$DO_DIFF" = "1" ] 
+			then
+				cat $DIFFOUT
+			fi
+			exit 1
+		fi
+	fi
+else
+	echo "Execution problem with $TEST - please correct"
+fi
+
diff -ur neilb-csvfix-93804d497be6/csvfix/tests/runtests csvfix-new/csvfix/tests/runtests
--- neilb-csvfix-93804d497be6/csvfix/tests/runtests	2015-02-28 20:47:41.000000000 +1000
+++ csvfix-new/csvfix/tests/runtests	2020-01-23 01:58:57.699936713 +1000
@@ -1,24 +1,24 @@
-#!bash
-# runall.bash
-# run all tests and report
-
-# set -x
-
-TOTAL=0
-PASSES=0
-FAILS=0
-for TEST in tests/*.test
-do
-	TESTNAME=`basename $TEST`	
-	if ./run1 $TESTNAME
-	then
-		let PASSES=PASSES+1
-	else
-		let FAILS=FAILS+1
-	fi
-done
-
-echo ""
-echo $FAILS failed, $PASSES passed
-echo ""
-
+#!/bin/bash
+# runall.bash
+# run all tests and report
+
+# set -x
+
+TOTAL=0
+PASSES=0
+FAILS=0
+for TEST in tests/*.test
+do
+	TESTNAME=`basename $TEST`	
+	if ./run1 $TESTNAME
+	then
+		let PASSES=PASSES+1
+	else
+		let FAILS=FAILS+1
+	fi
+done
+
+echo ""
+echo $FAILS failed, $PASSES passed
+echo ""
+
diff -ur neilb-csvfix-93804d497be6/csvfix/tests/tests/edit.test csvfix-new/csvfix/tests/tests/edit.test
--- neilb-csvfix-93804d497be6/csvfix/tests/tests/edit.test	2015-02-28 20:47:41.000000000 +1000
+++ csvfix-new/csvfix/tests/tests/edit.test	2020-01-23 02:18:49.649924693 +1000
@@ -1,6 +1,6 @@
-$CSVED edit -f 2 -e "s/e/XX/g" data/names.csv
-$CSVED edit -f 2 -e "s:e:XX:g" data/names.csv
-$CSVED edit -f 2 -e "s/e/\/XX/g" data/names.csv
-$CSVED edit -f 2 -e "s/xxx/ZZZZ/g" data/names.csv
-$CSVED edit -f 3 -e "s/\([MF]\)/:\1:/" data/names.csv
-$CSVED edit -f 3 -e "s/^$/ /" data/mc.csv
+$CSVED edit -f 2 -e "s/e/XX/g" data/names.csv
+$CSVED edit -f 2 -e "s:e:XX:g" data/names.csv
+$CSVED edit -f 2 -e "s/e/\/XX/g" data/names.csv
+$CSVED edit -f 2 -e "s/xxx/ZZZZ/g" data/names.csv
+$CSVED edit -f 3 -e "s/([MF])/:\1:/" data/names.csv
+$CSVED edit -f 3 -e "s/^$/ /" data/mc.csv
diff -ur neilb-csvfix-93804d497be6/csvfix/tests/tests/splitregex.test csvfix-new/csvfix/tests/tests/splitregex.test
--- neilb-csvfix-93804d497be6/csvfix/tests/tests/splitregex.test	2015-02-28 20:47:41.000000000 +1000
+++ csvfix-new/csvfix/tests/tests/splitregex.test	2020-01-23 02:21:59.823256043 +1000
@@ -1 +1 @@
-$CSVED split_regex -f 1 -r '\(.\)\([0-9]*\)\(.*\)' data/splitlen.csv
+$CSVED split_regex -f 1 -r '(.)([0-9]*)(.*)' data/splitlen.csv
